%define _unpackaged_files_terminate_build 1

Name: alterator-kopidel
Version: 0.1.3
Release: alt1

Summary: Creating a bootable iso that copies the file system
License: GPL-3.0-or-later
Group: System/Configuration/Other
Url: https://www.altlinux.org/Alterator
# grub-pc architectures:
ExclusiveArch: x86_64 %ix86

Source: %name-%version.tar

Requires: alterator
Requires: alterator-setup
Requires: alterator-sh-functions
Requires: alterator-l10n
Requires: rsync
Requires: grub-pc
Requires: grub-common
Requires: mtools
Requires: squashfs-tools
Requires: xorriso
Requires: make-initrd-bootchain
Requires: alt-uefi-certs

# Dependencies of the altinst squashfs image:
Requires: alterator-vm
Requires: alterator-preinstall
Requires: alterator-grub
Requires: libevms
Requires: installer-alterator-fs
Requires: installer-common-stage2
Requires: installer-scripts-remount-stage2
Requires: console-scripts
Requires: kbd

BuildRequires(pre): rpm-macros-alterator
%ifarch %e2k
BuildRequires: guile20-devel libguile20-devel
%else
BuildRequires: guile22-devel
%endif
BuildRequires: alterator-fbi

%description
If you want to make a complete copy of the file system and install
it on other machines, then you have found what you were looking for!

%prep
%setup -q

%build
%make_build

%install
%makeinstall

%files
%_alterator_backend3dir/kopidel
%_alterator_datadir/applications/kopidel.desktop
%_datadir/alterator-kopidel/
%_datadir/alterator/ui/kopidel/
%_sbindir/kopidel
%_sysconfdir/bash_completion.d/alterator-kopidel
%_libexecdir/alterator-kopidel/
%_localstatedir/alterator-kopidel/

%changelog
* Wed May 14 2025 Ajrat Makhmutov <rauty@altlinux.org> 0.1.3-alt1
- Add a working directory check to the CLI.
- Fix create_disk_partition_info for BTRFS only subvolume setup.
- Stop using stdbuf to handle steps stdout.
- Add support for translating the menuentry in grub.

* Thu Apr 24 2025 Ajrat Makhmutov <rauty@altlinux.org> 0.1.2-alt1
- Fix GUI arguments pass to steps executed via stdbuf.

* Sat Apr 05 2025 Ajrat Makhmutov <rauty@altlinux.org> 0.1.1-alt1
- Create smaller partitions first (closes: 53632).
- Add regular expression support to package names for the squashfs image.
- Add less to squashfs packages.
- Add libproc2_1 to squashfs packages.

* Wed Apr 02 2025 Ajrat Makhmutov <rauty@altlinux.org> 0.1.0-alt1
- Add CLI progress bar.
- Add --step flag to CLI.
- Ignore the exfat partitions when creating the vm-profile.scm.
- Add libsysfs2 to the squashfs image (closes: 53697).
- Ignore partitions which are not listed in the
  /etc/fstab when creating the vm-profile.scm.
- Add preinstall.d/00-cp-diskinfo.sh cleanup.
- Add X-Alterator-UI=qt to the desktop file (closes: 53477).

* Wed Feb 19 2025 Ajrat Makhmutov <rauty@altlinux.org> 0.0.4-alt1
- Ignore all NFS when copying (thx protvin@).

* Mon Jan 20 2025 Ajrat Makhmutov <rauty@altlinux.org> 0.0.3-alt1
- Add support for the new install2-init path.
- Remove dependency on installer-feature-alterator-setup-stage2.
- Clarify the license in the spec file.

* Sun Dec 22 2024 Ajrat Makhmutov <rauty@altlinux.org> 0.0.2-alt1
- Fix the creation of a workdir for the first use.

* Sat Dec 21 2024 Ajrat Makhmutov <rauty@altlinux.org> 0.0.1-alt1
- The first version of the new alterator module!
